<?php
class CotiCobranzaAction extends wtActions
{
    public function execute()
    {
        LayoutTemplate::getInstance()->setUseBootstrap();
        
        $i_OrdId  = intval( $this->getRequestParameter( 'ord_id' ) );
        $s_OrdNum = $this->getRequestParameter( 'ord_num' );
        
        $this->VTA_OrdenBN = VTA_OrdenFN::findOrdenByNum( $s_OrdNum );
        
        $o_VTA_DocumentoFN = new VTA_DocumentoFN();
        $o_VTA_DocumentoFN->setDocumentoParentId( $i_OrdId );
        $o_VTA_DocumentoFN->setTipoVenta( "ANT" ); //TIPO ANTICIPO
        $o_VTA_DocumentoFN->setEstado( VTA_DocumentoBN::ESTADO_CERRADO );
        $this->a_VTA_Documento = $o_VTA_DocumentoFN->select();

        //aqui se busca medios de pagos asociados
        $this->a_FCO_Aplicacion = array();
        $o_VTA_DocumentoFN = new VTA_DocumentoFN();
        $o_VTA_DocumentoFN->setDocumentoParentId( $i_OrdId );
        $o_VTA_DocumentoFN->addCondition( VTA_DocumentoFN::TipoVenta, "<>", "ANT" );
        $o_VTA_DocumentoFN->setEstado( VTA_DocumentoBN::ESTADO_CERRADO );
        $a_VTA_Documento = $o_VTA_DocumentoFN->select( 1 );
        if( $a_VTA_Documento )
        {
            $o_VTA_DocumentoBN = $a_VTA_Documento[0];

            $o_FCO_AplicacionFN = new FCO_AplicacionFN();
            $o_FCO_AplicacionFN->setIdDocNumRef( $o_VTA_DocumentoBN->getNumeroDocumento() );
            $o_FCO_AplicacionFN->setEstado( FCO_AplicacionBN::ESTADO_APLICADO );
            $this->a_FCO_Aplicacion = $o_FCO_AplicacionFN->select();
        }
    }
}